namespace OpenWarehouse.warehouse.api.Data;

public class TaskStatusTable
{
    [Required, Key]
    public Guid TaskId { get; init; }
    [MaxLength(50)]
    public string? Actor { get; init; }
    [MaxLength(20), Required]
    public string? Status { get; set; }
    [Required]
    public DateTime CreatedAt { get; init; }
    [Required]
    public DateTime UpdatedAt { get; set; }
}